"use strict";

const either = require("@validatem/either");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	const isComputeClause = require("./is-compute-clause")(operations);
	
	return either([
		[ isObjectType("where") ],
		[ isComputeClause ],
		// [ isObjectType("withRelations") ], // FIXME: Implement support for this
	]);	
};
